Subject: RFC 4577 errata and issues

From: Alfred Hönes <[email-masked]>
Date: Sat, 12 Aug 2006 16:24:39 +0200 (MESZ)

Hello,
reading the recently published RFC 4577 (OSPF for BGP/MPLS IP VPNs)
authored by you, I found a couple of issues that perhaps need to
be addressed.

(1)  [typo?]

Section 4.2.1 of RFC 4577, in the last paragraph on page 9, says:

   Generally, though not necessarily, if the PE attaches to several CEs
   in the same OSPF domain, it will associate the interfaces to those
   PEs with a single VRF.

I strongly suspect that the final "PEs" is a typo, and should be
replaced by "CEs".
Thus, the RFC should say:

   Generally, though not necessarily, if the PE attaches to several CEs
   in the same OSPF domain, it will associate the interfaces to those
|  CEs with a single VRF.

(2)  [orphaned inter-section references]

Section 4.2.4 of RFC 4577 contains three (3) distinct references
to itself.  This cannot have been intended.

Within Section 4.2.2, the last two paragraphs on page 11 say:

                                                           vvvvv
   A Domain Identifier is an eight-byte quantity that is a valid BGP
|  Extended Communities attribute, as specified in Section 4.2.4.  If a
   particular OSPF instance has a non-NULL Domain Identifier, when
   routes from that OSPF instance are distributed by BGP as VPN-IPv4
   routes, the routes MUST carry the Domain Identifier Extended
   Communities attribute that corresponds to the OSPF instance's Primary
   Domain Identifier.  If the OSPF instance's Domain Identifier is NULL,
   the Domain Identifier Extended Communities attribute MAY be omitted
   when routes from that OSPF instance are distributed by BGP;
   alternatively, a value of the Domain Identifier Extended Communities
|  attribute that represents NULL (see Section 4.2.4) MAY be carried
   with the route.
                                               ^^^^^
   If the OSPF instances of an OSPF domain are given one or more non-
   NULL Domain Identifiers, this procedure allows us to determine
   whether a particular OSPF-originated VPN-IPv4 route belongs to the
   same domain as a given OSPF instance.  We can then determine whether
   the route should be redistributed to that OSPF instance as an inter-
   area route or as an OSPF AS-external route.  Details can be found in
|  Sections 4.2.4 and 4.2.8.1.
            ^^^^^

I am not sure what really was intended to say.  Perhaps, the
second instance of "4.2.4" should be replaced by "4.2.6".

Please check and supply corrected text.

(3)  [typo: punctuation]

Section 4.2.7 of RFC 4577, on page 16, says:

   This section describes the protocol and procedures necessary for the
|  support of "Sham Links," as defined herein.  Support for sham links
   is an OPTIONAL feature of this specification.

It should say:

   This section describes the protocol and procedures necessary for the
|  support of "Sham Links", as defined herein.  Support for sham links
   is an OPTIONAL feature of this specification.

(4)  [typo: grammar]

In Section 4.2.7.1, the last paragraph on page 16 says:

   If it is desired to have OSPF prefer the routes through the backbone
   over the routes through the backdoor link, then the routes through
|  the backbone must be appear to be intra-area routes.  [...]
                ^^^^^^^^^^^^^^

It should say:

   If it is desired to have OSPF prefer the routes through the backbone
   over the routes through the backdoor link, then the routes through
|  the backbone must appear to be intra-area routes.  [...]
                ^^^^^^^^^^^

(5)  [typo: inconsistent spelling/capitalization]

In Section 4.2.7.1, the second paragraph on page 17 contains
the sentence:
                                           vvvvvvvvv
                             [...].  If the VRF is associated with only
|  a single OSPF instance, and if the PE's router id in that OSPF
   instance is an IP address, then the Sham Link Endpoint Address MAY
   default to that Router ID.  [...]

Consistently with all other occurrences of the term, "Router ID"
in this memo, it should say:

                             [...].  If the VRF is associated with only
|  a single OSPF instance, and if the PE's Router ID in that OSPF
   instance is an IP address, then the Sham Link Endpoint Address MAY
   default to that Router ID.  [...]

(6)  [word omission]

The 4th paragraph of Section 4.2.7.2, near the bottom of page 17,
says:

   A sham link connecting two VRFs is considered up if and only if a
   route to the 32-bit remote endpoint address of the sham link has been
|  installed in VRF.

It should say:

   A sham link connecting two VRFs is considered up if and only if a
   route to the 32-bit remote endpoint address of the sham link has been
|  installed in the VRF.
                ^^^

I propose that you prepare an Author's Errata Note to address
these issues, making freely use of the material presented above.

Only item (2) seems to needs new text from you; all other items
perhaps can be carried forward unchanged to the Errata Note --
you might just direct the RFC-Ed. to copy the text above,

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+